Bug 214267 - "Profile in Felix" fails when the IDE is installed in a space with path
"Profile in Felix" fails when the IDE is installed in a space with path
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Ide
7.2
PC Windows 7
: P2 (vote)
: 7.2
Assigned To: J Bachorik
issues@profiler
: 72_HR_FIX, REGRESSION, SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 10:31 UTC by J Bachorik
Modified: 2012-06-26 13:01 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description J Bachorik 2012-06-15 10:31:14 UTC
When the IDE, and hence the profiler binaries, is located in a space with path it is not posible to profile a platform application in Felix (OSGI) on windows.
Comment 1 J Bachorik 2012-06-15 11:13:23 UTC
fixed http://hg.netbeans.org/profiler-main/rev/7e98af1124e0
Comment 2 J Bachorik 2012-06-18 08:12:15 UTC
Actually, this used to work in 7.1.

Petr, please evaluate this issue for being a stopper for 7.2 so the fix might be included in 7.2 through HR process. Thanks.
Comment 3 Petr Cyhelsky 2012-06-18 08:35:03 UTC
I don't think this is a stopper, it is a corner case and it is doubtful that many users even know of this option for netbeans platform apps.
Comment 4 Marian Mirilovic 2012-06-18 09:36:58 UTC
I agree with integration into 7.2 - we have fix and it is not risky
Comment 5 J Bachorik 2012-06-18 09:49:19 UTC
Please, verify in profiler-main
Comment 6 Petr Cyhelsky 2012-06-18 14:03:54 UTC
still doesn't work on win 7
Comment 7 J Bachorik 2012-06-19 13:52:21 UTC
Another quotes juggling - fixes the problem once and for all: http://hg.netbeans.org/profiler-main/rev/13fa71780d6b
Comment 8 Petr Cyhelsky 2012-06-19 15:09:37 UTC
verified fixed on win 7, win xp and linux
Comment 9 Quality Engineering 2012-06-20 04:36:25 UTC
Integrated into 'main-golden', will be available in build *201206200001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7e98af1124e0
User: Jaroslav Bachorik <yardus@netbeans.org>
Log: #214267: Fixing space-in-path problem when profiling platform applications in Felix OSGI container
Comment 10 Tomas Hurka 2012-06-20 12:46:46 UTC
The fix in changeset 7e98af1124e0 looks OK and it can be transplanted to release72 branch.
Comment 11 Quality Engineering 2012-06-21 02:23:48 UTC
Integrated into 'releases', will be available in build *201206202200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/31c80e97d555
User: Jaroslav Bachorik <yardus@netbeans.org>
Log: #214267: Fixing space-in-path problem when profiling platform applications in Felix OSGI container
(transplanted from 7e98af1124e0b9371dd68d4fc07d4b013649c4f2)
Comment 12 Marian Mirilovic 2012-06-24 20:15:42 UTC
... pending verification in NB 7.2
Comment 13 Petr Cyhelsky 2012-06-26 13:01:27 UTC
verified in:
Product Version: NetBeans IDE 7.2 RC1 (Build 201206252201)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo